package cz.filipnovak.wntr.domain;

import com.fasterxml.jackson.annotation.JsonIgnore;

import javax.persistence.*;
import java.time.LocalDateTime;
import java.time.LocalTime;
import java.util.List;

@Entity
public class Counter {

    @Id
    @GeneratedValue
    private Long id;

    private boolean disabled;

    private int sortOrder;
    private String title;

    private Integer capacity;
    private Integer occupancy;

    private LocalDateTime lastUpdate;
    private LocalTime resetAt;

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn
    @JsonIgnore
    Facility facility;

    @OneToMany(mappedBy = "counter")
    @JsonIgnore
    List<CounterUpdate> counterUpdates;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public boolean isDisabled() {
        return disabled;
    }

    public void setDisabled(boolean disabled) {
        this.disabled = disabled;
    }

    public int getSortOrder() {
        return sortOrder;
    }

    public void setSortOrder(int sortOrder) {
        this.sortOrder = sortOrder;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Integer getCapacity() {
        return capacity;
    }

    public void setCapacity(Integer capacity) {
        this.capacity = capacity;
    }

    public Integer getOccupancy() {
        if (occupancy == null) {
            return 0;
        }
        return occupancy;
    }

    public void setOccupancy(Integer occupancy) {
        this.occupancy = occupancy;
    }

    public LocalDateTime getLastUpdate() {
        return lastUpdate;
    }

    public void setLastUpdate(LocalDateTime lastUpdate) {
        this.lastUpdate = lastUpdate;
    }

    public LocalTime getResetAt() {
        return resetAt;
    }

    public void setResetAt(LocalTime resetAt) {
        this.resetAt = resetAt;
    }

    public Facility getFacility() {
        return facility;
    }

    public void setFacility(Facility facility) {
        this.facility = facility;
    }

    public List<CounterUpdate> getCounterUpdates() {
        return counterUpdates;
    }

    public void setCounterUpdates(List<CounterUpdate> counterUpdates) {
        this.counterUpdates = counterUpdates;
    }
}
