package cz.filipnovak.wntr.domain;

import com.fasterxml.jackson.annotation.JsonIgnore;
import cz.filipnovak.wntr.utility.StringUtil;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import java.time.LocalDateTime;

@Entity
public class CounterUpdate {

    /** Internal database identifier. */
    @Id
    @GeneratedValue
    private Long id;

    /** Counter.occupancy value after the update. */
    private Integer occupancy;

    /** Counter.capacity value after the update. */
    private Integer capacity;

    /** Unique identifier of a request for update. */
    private String stamp;

    /** Date and time of the update. */
    private LocalDateTime timeStamp;

    /** Counter which was affected by this update. */
    @ManyToOne(optional = false)
    @JoinColumn
    @JsonIgnore
    private Counter counter;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getStamp() {
        return stamp;
    }

    public void setStamp(String stamp) {
        this.stamp = stamp;
    }

    public Integer getOccupancy() {
        return occupancy;
    }

    public void setOccupancy(Integer occupancy) {
        this.occupancy = occupancy;
    }

    public Integer getCapacity() {
        return capacity;
    }

    public void setCapacity(Integer capacity) {
        this.capacity = capacity;
    }

    public LocalDateTime getTimeStamp() {
        return timeStamp;
    }

    public void setTimeStamp(LocalDateTime timeStamp) {
        this.timeStamp = timeStamp;
    }

    public Counter getCounter() {
        return counter;
    }

    public void setCounter(Counter counter) {
        this.counter = counter;
    }

    @Override
    public String toString() {
        return StringUtil.toString(
                this.getClass(),
                "id=" + id,
                "stamp=" + stamp,
                "capacity=" + capacity,
                "occupancy=" + occupancy,
                "timeStamp=" + timeStamp,
                "counterId=" + (counter != null ? counter.getId() : null)
        );
    }
}
