package cz.filipnovak.wntr.domain;

import cz.filipnovak.wntr.utility.StringUtil;

import javax.persistence.*;
import java.time.LocalTime;
import java.util.List;

@Entity
public class Facility {

    @Id
    @GeneratedValue
    private Long id;

    private String persistentId;

    private boolean deleted;

    private LocalTime expirationDecisiveTime;
    private LocalTime expirationNotificationTime;

    private String name;
    private String organization;

    private String address;
    private String phone;
    private String email;
    private String url;

    private boolean winter;
    private String targetGroup;
    private String restrictions;
    private String fee;

    @Column(length = 1024)
    private String note;

    @ManyToOne
    @JoinColumn
    private FacilityType facilityType;

    @ManyToOne
    @JoinColumn
    private FacilityDistrict facilityDistrict;

    @OneToMany(mappedBy = "facility")
    @OrderBy("sortOrder")
    private List<Counter> counters;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getPersistentId() {
        return persistentId;
    }

    public void setPersistentId(String persistentId) {
        this.persistentId = persistentId;
    }

    public boolean isDeleted() {
        return deleted;
    }

    public void setDeleted(boolean deleted) {
        this.deleted = deleted;
    }

    public LocalTime getExpirationDecisiveTime() {
        return expirationDecisiveTime;
    }

    public void setExpirationDecisiveTime(LocalTime expirationDecisiveTime) {
        this.expirationDecisiveTime = expirationDecisiveTime;
    }

    public LocalTime getExpirationNotificationTime() {
        return expirationNotificationTime;
    }

    public void setExpirationNotificationTime(LocalTime expirationNotificationTime) {
        this.expirationNotificationTime = expirationNotificationTime;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getOrganization() {
        return organization;
    }

    public void setOrganization(String organization) {
        this.organization = organization;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public boolean isWinter() {
        return winter;
    }

    public void setWinter(boolean winter) {
        this.winter = winter;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getTargetGroup() {
        return targetGroup;
    }

    public void setTargetGroup(String targetGroup) {
        this.targetGroup = targetGroup;
    }

    public String getRestrictions() {
        return restrictions;
    }

    public void setRestrictions(String restrictions) {
        this.restrictions = restrictions;
    }

    public String getFee() {
        return fee;
    }

    public void setFee(String fee) {
        this.fee = fee;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    public FacilityType getFacilityType() {
        return facilityType;
    }

    public void setFacilityType(FacilityType facilityType) {
        this.facilityType = facilityType;
    }

    public FacilityDistrict getFacilityDistrict() {
        return facilityDistrict;
    }

    public void setFacilityDistrict(FacilityDistrict facilityDistrict) {
        this.facilityDistrict = facilityDistrict;
    }

    public List<Counter> getCounters() {
        return counters;
    }

    public void setCounters(List<Counter> counters) {
        this.counters = counters;
    }

    @Override
    public String toString() {
        return StringUtil.toString(
                this.getClass(),
                "id=" + id, "name=" + name
        );
    }
}
