package cz.filipnovak.wntr.enumeration;

import java.util.Arrays;
import java.util.HashSet;
import java.util.Set;

public enum RoleEnum {
    USER_ADMIN(
            PermissionEnum.LIST_USERS, PermissionEnum.CREATE_USER, PermissionEnum.UPDATE_ANY_USER, PermissionEnum.DELETE_USER,
            PermissionEnum.CHANGE_ANY_PASSWORD
    ),
    FACILITY_ADMIN(
            PermissionEnum.CREATE_FACILITY, PermissionEnum.UPDATE_ANY_FACILITY, PermissionEnum.DELETE_FACILITY,
            PermissionEnum.CREATE_FACILITY_TYPE, PermissionEnum.UPDATE_FACILITY_TYPE, PermissionEnum.DELETE_FACILITY_TYPE,
            PermissionEnum.VIEW_NOTIFICATIONS, PermissionEnum.SNOOZE_COUNTER_UPDATE_NOTIFICATION,
            PermissionEnum.VIEW_REPORTS, PermissionEnum.REPLY_TO_ANY_CHAT,
            PermissionEnum.VIEW_ALL_OUTREACH_RECORDS
    ),
    FACILITY_MANAGER(
            PermissionEnum.UPDATE_OWN_FACILITY, PermissionEnum.UPDATE_OCCUPANCY,
            PermissionEnum.CHANGE_OWN_PASSWORD
    ),
    FACILITY_OPERATOR(
            PermissionEnum.UPDATE_OCCUPANCY, PermissionEnum.CHANGE_OWN_PASSWORD
    ),
    OUTREACH_WORKER(
            PermissionEnum.VIEW_OWN_OUTREACH_RECORDS, PermissionEnum.CREATE_OUTREACH_RECORD
    );

    private Set<PermissionEnum> permissions;

    RoleEnum(PermissionEnum... permissions) {
        this.permissions = new HashSet<>(Arrays.asList(permissions));
    }

    public Set<PermissionEnum> getPermissions() {
        return permissions;
    }
}
