package cz.filipnovak.wntr.mapper;

import cz.filipnovak.wntr.domain.Facility;
import cz.filipnovak.wntr.responsedto.CounterDto;
import cz.filipnovak.wntr.responsedto.CurrentFacilityDto;

import java.util.List;
import java.util.stream.Collectors;

public class FacilityMapper {
    public static CurrentFacilityDto toCurrentDto(Facility facility) {
        CurrentFacilityDto result = new CurrentFacilityDto("OK");

        if (facility != null) {
            result.setHasFacility(true);

            result.setId(facility.getId());
            result.setName(facility.getName());
            result.setOrganization(facility.getOrganization());

            List<CounterDto> counters = facility
                    .getCounters()
                    .stream()
                    .filter(counter -> !counter.isDisabled())
                    .map(CounterMapper::toDto)
                    .collect(Collectors.toList());
            result.setCounters(counters);
        } else {
            result.setHasFacility(false);
        }

        return result;
    }
}
