package cz.filipnovak.wntr.migration;

import cz.filipnovak.wntr.domain.FacilityDistrict;
import cz.filipnovak.wntr.repository.FacilityDistrictRepository;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Arrays;
import java.util.List;

@Component
public class DistrictMigration {

    private static final Logger LOGGER = LoggerFactory.getLogger(FacilityPersistentIdMigration.class);

    @Autowired
    private FacilityDistrictRepository facilityDistrictRepo;

    public void migrateAll() {
        List<String> districts = Arrays.asList(
                "Praha 1", "Praha 2", "Praha 3", "Praha 4", "Praha 5", "Praha 6", "Praha 7", "Praha 8", "Praha 9",
                "Praha 10", "Praha 11", "Praha 12", "Praha 13", "Praha 14", "Praha 15", "Praha 16", "Praha 17",
                "Praha 18", "Praha 19", "Praha 20", "Praha 21", "Praha 22", "Benice", "Běchovice", "Březiněves",
                "Čakovice", "Ďáblice", "Dolní Chabry", "Dolní Měcholupy", "Dolní Počernice", "Dubeč", "Klánovice",
                "Koloděje", "Kolovraty", "Královice", "Křeslice", "Kunratice", "Libuš", "Lipence", "Lochkov",
                "Lysolaje", "Nebušice", "Nedvězí", "Petrovice", "Přední Kopanina", "Řeporyje", "Satalice", "Slivenec",
                "Suchdol", "Šeberov", "Štěrboholy", "Troja", "Újezd", "Velká Chuchle", "Vinoř", "Zbraslav", "Zličín"
        );

        for (String name : districts) {
            if (!facilityDistrictRepo.findByName(name).isPresent()) {
                FacilityDistrict facilityDistrict = new FacilityDistrict();
                facilityDistrict.setName(name);

                facilityDistrictRepo.save(facilityDistrict);
            }
        }
    }
}
