package cz.filipnovak.wntr.migration;

import cz.filipnovak.wntr.domain.Facility;
import cz.filipnovak.wntr.repository.FacilityRepository;
import cz.filipnovak.wntr.utility.StringUtil;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class FacilityPersistentIdMigration {

    private static final Logger LOGGER = LoggerFactory.getLogger(FacilityPersistentIdMigration.class);

    @Autowired
    FacilityRepository facilityRepository;

    public void migrateAll() {
        for (Facility facility : facilityRepository.findAll()) {
            if (facility.getPersistentId() != null) {
                continue;
            }

            String persistentId = StringUtil.toPersistentId(facility.getName(), facilityRepository::existsByPersistentId);
            facility.setPersistentId(persistentId);

            facilityRepository.save(facility);

            LOGGER.info(String.format("%s -> %s", facility.getName(), facility.getPersistentId()));
        }
    }
}
