package cz.filipnovak.wntr.repository;

import cz.filipnovak.wntr.domain.Counter;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface CounterRepository extends CrudRepository<Counter, Long> {

    @Query("SELECT c FROM Counter c WHERE c.disabled = false AND c.title != '' AND c.facility.deleted = false ORDER BY c.lastUpdate")
    List<Counter> findByLastUpdate();

    @Query("SELECT c FROM Counter c WHERE c.disabled = false AND c.resetAt IS NOT NULL")
    List<Counter> findResettable();
}
