package cz.filipnovak.wntr.repository;

import cz.filipnovak.wntr.domain.OutreachRecord;
import cz.filipnovak.wntr.domain.User;
import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;

import java.time.LocalDateTime;
import java.util.List;

@Repository
public interface OutreachRecordRepository extends CrudRepository<OutreachRecord, Long> {

    List<OutreachRecord> findByCreatedGreaterThanOrderByCreatedDesc(LocalDateTime dateTime);

    List<OutreachRecord> findByUserAndCreatedGreaterThanOrderByCreatedDesc(User currentUser, LocalDateTime beforeDuration);

    Iterable<OutreachRecord> findByOrderByCreated();
}
