package cz.filipnovak.wntr.responsedto;

import cz.filipnovak.wntr.domain.Counter;

import java.time.LocalDateTime;

public class LastUpdateDto {
    private final String facilityName;
    private final String counterName;
    private final Long counterId;
    private final LocalDateTime lastUpdate;

    public LastUpdateDto(Counter counter) {
        this.facilityName = counter.getFacility().getName();
        this.counterName = counter.getTitle();
        this.counterId = counter.getId();
        this.lastUpdate = counter.getLastUpdate();
    }

    public String getFacilityName() {
        return facilityName;
    }

    public String getCounterName() {
        return counterName;
    }

    public Long getCounterId() {
        return counterId;
    }

    public LocalDateTime getLastUpdate() {
        return lastUpdate;
    }
}
