package cz.filipnovak.wntr.rest;

import cz.filipnovak.wntr.domain.FacilityType;
import cz.filipnovak.wntr.responsedto.OkResponseDto;
import cz.filipnovak.wntr.service.FacilityTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/api/facility-type")
public class FacilityTypeRestController {

    @Autowired
    FacilityTypeService facilityTypeService;

    @GetMapping("/list")
    public ResponseEntity<List<FacilityType>> getFacilityTypes() {
        return ResponseEntity.ok(
                facilityTypeService.findAll()
        );
    }

    @PostMapping("/save")
    public ResponseEntity<OkResponseDto> saveFacilityType(@RequestBody FacilityType facilityType) {
        if (facilityType.getId() == null) {
            facilityTypeService.create(facilityType);
        } else {
            facilityTypeService.update(facilityType);
        }
        return ResponseEntity.ok(new OkResponseDto());
    }

    @PostMapping("/delete")
    public ResponseEntity<OkResponseDto> deleteFacilityType(@RequestBody FacilityType facilityType) {
        facilityTypeService.delete(facilityType);
        return ResponseEntity.ok(new OkResponseDto());
    }
}
