package cz.filipnovak.wntr.rest;

import cz.filipnovak.wntr.responsedto.LastUpdateDto;
import cz.filipnovak.wntr.responsedto.OkResponseDto;
import cz.filipnovak.wntr.service.NotificationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import java.time.LocalDateTime;
import java.util.List;

@RestController
@RequestMapping("/api/notification")
public class NotificationRestController {

    @Autowired
    NotificationService notificationService;

    @GetMapping("/counter-update/list")
    public ResponseEntity<List<LastUpdateDto>> counterUpdates() {
        return ResponseEntity.ok(
                notificationService.getCounterUpdates()
        );
    }

    @PostMapping("/counter-update/snooze")
    public ResponseEntity<OkResponseDto> snoozeCounterUpdate(@RequestParam Long counterId) {
        notificationService.snoozeCounterUpdate(counterId);
        return ResponseEntity.ok(new OkResponseDto());
    }

    @GetMapping("/counter-update/expired")
    public ResponseEntity<List<LastUpdateDto>> expiredCounterUpdates() {
        return ResponseEntity.ok(
                notificationService.listExpiredUpdates(LocalDateTime.now())
        );
    }
}
