package cz.filipnovak.wntr.rest;

import cz.filipnovak.wntr.domain.OutreachRecord;
import cz.filipnovak.wntr.responsedto.OkResponseDto;
import cz.filipnovak.wntr.service.OutreachService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import java.time.Duration;
import java.util.List;

@RestController
@RequestMapping("/api/outreach")
public class OutreachRestController {

    @Autowired
    OutreachService outreachService;

    @GetMapping("/record/list-all-latest")
    public ResponseEntity<List<OutreachRecord>> listAllLatestRecords() {
        return ResponseEntity.ok(
                outreachService.listLatestRecords(Duration.ofDays(7))
        );
    }

    @GetMapping("/record/list-my-latest")
    public ResponseEntity<List<OutreachRecord>> listMyLatestRecords() {
        return ResponseEntity.ok(
                outreachService.listLatestRecordsOfCurrentUser(Duration.ofDays(7))
        );
    }

    @PostMapping("/record/create")
    public ResponseEntity<OkResponseDto> createRecord(@RequestBody OutreachRecord record) {
        outreachService.createRecord(record);
        return ResponseEntity.ok(new OkResponseDto());
    }
}
