package cz.filipnovak.wntr.service;

import cz.filipnovak.wntr.domain.Organization;
import cz.filipnovak.wntr.repository.OrganizationRepository;
import org.apache.commons.collections4.IterableUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class OrganizationService {

    @Autowired
    private OrganizationRepository organizationRepo;

    public Organization getOrCreate(String name) {
        return organizationRepo
                .findByName(name)
                .orElseGet(() -> {
                    Organization newOrganization = new Organization();
                    newOrganization.setName(name);

                    return organizationRepo.save(newOrganization);
                });
    }

    public List<Organization> findAll() {
        return IterableUtils.toList(organizationRepo.findAll());
    }
}
