package cz.filipnovak.wntr.utility;

import org.springframework.web.context.request.RequestContextHolder;
import org.springframework.web.context.request.ServletRequestAttributes;

import javax.servlet.http.HttpSession;

public class SecurityUtil {
    public static final String ANONYMOUS_USER = "anonymousss";

    public static String getUsername() {
        String username = (String) getSession().getAttribute("username");

        if (username == null) {
            username = ANONYMOUS_USER;
            setUsername(username);
        }

        return username;
    }

    private static HttpSession getSession() {
        ServletRequestAttributes requestAttributes = (ServletRequestAttributes) RequestContextHolder.getRequestAttributes();
        assert requestAttributes != null;
        return requestAttributes.getRequest().getSession(true);
    }

    public static void setUsername(String username) {
        getSession().setAttribute("username", username);
    }
}
