import React from 'react'

function Flex(props) {
    const children = React.Children.map(props.children, (Child, i) =>
        <div key={i++} style={props.itemStyle}>{Child}</div>
    )

    return (
        <div style={props.wrapperStyle}>
            {children}
        </div>
    )
}

function Column(props) {
    return Flex({
        wrapperStyle: {
            display: 'flex',
            alignItems: 'left',
            justifyContent: 'space-evenly',
            flexFlow: 'column',
            height: '100%',
            ...props.style
        },
        itemStyle: {
        },
        children: props.children
    })
}

function Row(props) {
    return Flex({
        wrapperStyle: {
            display: 'flex',
            alignItems: 'center',
            justifyContent: 'space-evenly',
            ...props.style
        },
        itemStyle: {
            textAlign: 'center'
        },
        children: props.children
    })
}

export { Column, Row }