import React from 'react'

import sortBy from 'sort-by'

function List(props) {

    const ulStyle = {
        padding: 0,
        margin: 0,
        ...props.ulStyle
    }

    const liStyle = {
        listStyle: 'none',
        ...props.liStyle
    }

    const items = [...props.items];

    const keyFunction = props.keyFunction || ((e, i) => i)
    
    if ('order' in props) {
        const fields = props['order'].split(' ')
        const comparator = sortBy.apply(null, fields)
        items.sort(comparator)
    }

    const children = items.map((item, i) => {
        const childProps = {
            [props.item]: item
        }

        return <li key={keyFunction(item, i)} style={liStyle} className={props.liClassName}>
            {
                React.Children.map(props.children, Child => {
                    return React.cloneElement(Child, childProps, null);
                })
            }
        </li>
    })

    return <ul style={ulStyle} className={props.ulClassName}>{children}</ul>
}

export default List