import React, { useState, useEffect } from "react"
import { Column, Row } from "./Flex"

function InnerLoader() {
    const colors = [
        '#000000',
        '#330000',
        '#330033',
        '#660033',
        '#663333',
        '#993333',
        '#996633',
        '#BB6699',
        '#996633',
    ]
    const [index, setIndex] = useState(0)

    useEffect(() => {
        // set timeout on mount
        const timer = setTimeout(() => {
            setIndex((i) => i + 1)
        }, 100)
        // clear timeout on unmount
        return () => clearTimeout(timer)
    })

    const loaderStyle = {
        position: 'absolute',
        left: '0',
        bottom: '0.5em',
        width: '100%'
    }

    return <span style={loaderStyle}>
        <span style={{color: colors[(index + 0) % colors.length]}}>.</span>
        <span style={{color: colors[(index - 1) % colors.length]}}>.</span>
        <span style={{color: colors[(index - 2) % colors.length]}}>.</span>
        <span style={{color: colors[(index - 3) % colors.length]}}>.</span>
        <span style={{color: colors[(index - 4) % colors.length]}}>.</span>
    </span>
}

export default function Loader(props) {
    return <Column>
        <Row>
            {
                props.loading && <InnerLoader />
            }
        </Row>
    </Column>
}
