import React, { useContext } from 'react'

import RiLockFill from '@meronex/icons/ri/RiLockFill'
import RiUserLine from '@meronex/icons/ri/RiUserLine'
import { NavLink } from 'react-router-dom'
import ApplicationContext from '../application/ApplicationContext'
import StyleContext from '../application/StyleContext'

export default function Lock() {
    const { currentUser } = useContext(ApplicationContext)
    const { activeColor } = useContext(StyleContext)

    const linkStyle = {
        color: currentUser.authenticated ? activeColor : 'black'
    }
    
    return <div>
        <NavLink to="/login" style={linkStyle}>
            {
                currentUser.authenticated ? <RiUserLine /> : <RiLockFill />
            }
        </NavLink>
    </div>
}