import React from 'react'

const containerStyle = {
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center',
}

const strokeWidth = 4

export default function Logo(props) {
    const size = props.size || 1
    
    const pngStyle = {
        width: '10vw',
        padding: '1vw',
        filter: 'grayscale(0.7)'
    }

    const svgStyle = {
        width: (size * 3) + 'vw',
        display: 'none'
    }
            
    return (
        <div style={containerStyle}>
            <img style={pngStyle} src="./css-logo.png"/>
            <svg style={svgStyle} viewBox="0 0 100 120" xmlns="http://www.w3.org/2000/svg">
                <g>
                    <defs>
                        <linearGradient id="houseInteriorGrad" x1="0%" y1="100%" x2="100%" y2="0%" opacity="1">
                            <stop offset="0%" stopColor="rgb(255,100,100)" stopOpacity="1" />
                            <stop offset="100%" stopColor="rgb(255,255,100)" stopOpacity="1" />
                        </linearGradient>
                        <none id="houseInteriorNone">
                        </none>
                    </defs>
                    <path
                        xmlns="http://www.w3.org/2000/svg" id="svg_8"
                        d="
                            m 90,53
                            v 54
                            a 3,3 0 0 1 -3,3
                            h -70
                            a 3,3 0 0 1 -3,-3
                            v -54
                            L 50,10
                            z
                        "
                        strokeWidth={strokeWidth}
                        stroke="#000"
                        fill="#eee"
                    />
                </g>
            </svg>
        </div>
    )
}
