import React, { useContext } from 'react'

import MenuButton from '../components/MenuButton'
import Logo from '../components/Logo'
import Lock from '../components/Lock'
import StyleContext from '../application/StyleContext'

function Header(props) {
    const { headerStyle, headerButtonStyle, logoWithTitleStyle, titleSize, titleBoxStyle, titleStyle, subtitleStyle } = useContext(StyleContext)

    return <div style={headerStyle}>
        <div style={headerButtonStyle}>
            <MenuButton />
        </div>
        <div style={logoWithTitleStyle}>
            <Logo size={titleSize}/>
            <div style={titleBoxStyle}>
                <p style={titleStyle}>Zimní opatření</p>
                <p style={subtitleStyle}>Centrum sociálních služeb Praha</p>
            </div>
        </div>
        <div style={headerButtonStyle}>
            <Lock />
        </div>
    </div>
}

export default Header