import React, { useContext } from 'react'

import { HashRouter as Router } from 'react-router-dom'

import Header from './Header'
import Menu from './Menu'
import Main from './Main'
import StyleContext from '../application/StyleContext'
import Div100vh from 'react-div-100vh'

function Layout() {
    const { layoutStyle, contentOuterStyle, contentInnerStyle } = useContext(StyleContext)

    return <Div100vh>
        <Router>
            <div style={layoutStyle}>
                <Header />
                <div style={contentOuterStyle}>
                    <div style={contentInnerStyle}>
                        <Menu />
                        <Main />
                    </div>
                </div>
            </div>
        </Router>
    </Div100vh>
}

export default Layout