const React = require('react')

import { Route, Redirect } from 'react-router-dom'

import MyFacility from '../pages/MyFacility'
import FacilitiesList from '../pages/FacilitiesList'
import FacilityAdmin from '../pages/FacilityAdmin'
import Login from '../pages/Login'
import UserAdmin from '../pages/UserAdmin'
import { useContext } from 'react'
import StyleContext from '../application/StyleContext'
import Reports from '../pages/Reports'
import Notifications from '../pages/Notifications'
import Chat from '../pages/Chat'
import OutreachRecords from '../pages/OutreachRecords'
import Version from '../pages/Version'

function Main() {
    const { mainStyle } = useContext(StyleContext)

    return (
        <div style={mainStyle}>
            <Route exact path="/">
                <Redirect to="/facilities/list"/>
            </Route>

            <Route path="/login">
                <Login/>
            </Route>

            <Route path="/facilities/my">
                <MyFacility/>
            </Route>
            <Route path="/facilities/list">
                <FacilitiesList/>
            </Route>

            <Route path="/reports">
                <Reports/>
            </Route>
            <Route path="/notifications">
                <Notifications/>
            </Route>
            <Route path="/chat">
                <Chat/>
            </Route>
            <Route path="/outreach/records">
                <OutreachRecords/>
            </Route>

            <Route path="/admin/facilities">
                <FacilityAdmin/>
            </Route>
            <Route path="/admin/users">
                <UserAdmin/>
            </Route>

            <Route path="/version">
                <Version/>
            </Route>
        </div>
    )
}

export default Main