import React, { useContext } from 'react'
import StyleContext from '../application/StyleContext'
import { Item, Row, Title } from '../components/Item'

export default function Reports() {
    const { itemLinkStyle } = useContext(StyleContext)

    return <>
        <Item>
            <Row>
                <Title>Přehled maximálních denních stavů</Title>
            </Row>
            <Row>
                Rozlišení: po jednotlivých zařízeních a dnech
            </Row>
            <Row>
                Časový rozsah: od nejstaršího záznamu do dnešního záznamu (poslední údaj tedy není definitivní)
            </Row>
            <Row>
                <a href="/report/daily-max" style={itemLinkStyle}>stáhnout ve formátu MS Excel</a>
            </Row>
        </Item>
        <Item>
            <Row>
                <Title>Přehled všech změn v čase</Title>
            </Row>
            <Row>
                <a href="/report/updates" style={itemLinkStyle}>stáhnout ve formátu MS Excel</a>
            </Row>
        </Item>
        <Item>
            <Row>
                <Title>Terénní záznamy</Title>
            </Row>
            <Row>
                <a href="/report/outreach-records" style={itemLinkStyle}>stáhnout ve formátu MS Excel</a>
            </Row>
        </Item>
    </>
}