import React, { useContext, useEffect } from 'react'

import List from '../components/List'

import ApplicationContext from '../application/ApplicationContext'
import User from '../components/User'

function UserAdmin() {
    const { users, fetchUsers } = useContext(ApplicationContext)

    useEffect(() => fetchUsers(), [])

    const filteredUsers = users.filter(u => !u.deleted)

    return <>
        <User />
        <List items={filteredUsers} item="user" order="deleted username">
            <User />
        </List>
    </>
}

export default UserAdmin