import { useRouter } from "next/router";
import { Tile } from "./tile";
import Icon from "./icon";
import { getPrimaryColorByPath, getSubpages } from "../lib/menu.mjs";

export default function DefinedTiles() {
    const path = useRouter().asPath
    const color = getPrimaryColorByPath(path)
    const tiles = getSubpages(path).filter(p => p.href)

    return tiles.map((t, i) => <Tile
        title={t.title}
        color={color}
        background={t.background}
        href={t.href}
        key={i}>
            <Icon type={t.icon || 'link'} />
    </Tile>)
}