import styled from 'styled-components'
import { useEffect, useState } from 'react'
import axios from 'axios'
import Link from 'next/link'

const Post = styled.div`
    margin-bottom: 1rem
`

function FacebookPost({ post }) {
    const id = post.id.split('_')[1];
    const url = 'https://www.facebook.com/vasiluvrubas/posts/' + id

    return (
        <Post>
            <div>{new Date(post.created_time).toLocaleString()}</div>
            <a href={url}>{post.message}</a>
        </Post>
    )
}

export function xFacebookFeed() {
    const [error, setError] = useState(null)
    const [feed, setFeed] = useState([])

    useEffect(() => {
        axios
            .get('https://graph.facebook.com/v12.0/vasiluvrubas/posts?access_token=EAADPX8GNIkIBAOL3QTkPLaKrxVpOvor2ZBWtZBlHaKalkd7HVsauXkZCc43p4aP5rOi6iZBOPcwHJVE7ZCqPN5C3ZBzAO84PtVLBXa9PhTw8PmKOpWkCTXQZBpAZBxEHLx43HAaabvDniOzAvVIPbfG6xcnGXsWtwoKAbOWXTax9g9WFFdkvlxi2Agbw6vC3RWwhRCQDTWbUBN3nZBo4JJo4T7evj6E7yCn8ZD')
            .then(r => {
                setError(null)
                setFeed(r.data)
            })
            .catch(e => {
                setError(e)
            })
    }, [])

    return (
        <div>
            {
                error && <div>Nelze načíst data z Facebooku ({JSON.stringify(error.response.data.error.message)}).</div>
            }
            {
                feed.data && feed.data
                    .filter(post => post.message)
                    .slice(0, 3)
                    .map((post, i) => <FacebookPost post={post} key={i}/>)
            }
        </div>
    )
}

export function FacebookFeed() {
    return <Articles>
        <Article title="Nabídka akreditovaných výcviků v chatové a e-mailové krizové intervenci a poradenství" href="http://www.csspraha.cz/article/nabidka-akreditovanych-vycviku-v-chatove-a-e-mailove-krizove-intervenci-a-poradenstvi2" date="8. 6. 2021">
            <p>Rádi bychom Vám za lektorský tým Pražské linky důvěry nabídli účast v aktuálně otevíraných (MPSV akreditovaných) výcvicích zaměřených na krizovou intervenci v internetovém prostředí (chat a e-mail). Tato forma komunikace je vzhledem k současné situaci stále více vyhledávaná a má svá specifika. Naše kurzy se konají do konce června online přes prostředí Google Meet, se kterým máme velice dobré zkušenosti. Účastníci nebudou ochuzeni o praktický nácvik, který tvoří podstatnou část kursu. Vše probíhá ve spolupráci s Profesním institutem Jahodovka, jehož prostřednictvím probíhá i registrace.</p>
        </Article>
        <Article title="Intervenční centrum můžete nově kontaktovat anonymně a online" href="http://www.csspraha.cz/article/intervencni-centrum-muzete-nove-kontaktovat-anonymne-a-online" date="27. 4. 2021">
            <p>Intervenční centrum CSSP se zapojilo do projektu <a href="https://www.facebook.com/NNTB.czsk" target="_blank">Nenech to být</a>. Na webových stránkách <strong><a href="https://nenech.se" target="_blank">NENECH.SE</a></strong>&nbsp;se nyní mohou oběti i svědci domácího násilí snadno, bezpečně a anonymně přihlásit do chatu a spojit se tak s odborníky, kteří jim v jejich nelehké situaci pomohou. Při přihlášení se nezadávají žádné osobní údaje, takže není možné, aby se o komunikaci dozvěděl agresor.</p>
        </Article>
        <Article title="Týden pro neziskový sektor" href="http://www.csspraha.cz/article/tyden-pro-neziskovy-sektor" date="19. 4. 2021">
            <p>Dnes začal <a href="https://www.facebook.com/events/426480131983208/?__cft__[0]=AZXYZ9O-3nuJeCyLXK7Js2OYXr9d8ptvOkXUo5j9cgDBdMsnLYQ_9Fr6qRIaLokLiiFYrI7onkHdmEPG7bFiDHisP6YyhBZuTxWzcRbxkcaTnvdj8nh1CKqscwTeIidIP6e5kn7ypPhrCPNkDGpBzduj0yOgWoTlUaXe5bUZTBolUjw6Guh0m0qRbL8CCPky3Gw&amp;__tn__=-UK-R" target="_blank">Týden pro neziskový sektor</a>, jehož cílem je podporovat neziskové organizace a o jejich činnosti informovat širokou veřejnost.</p>
            <p>Neziskové organizace představují klíčový prvek pro utváření silné občanské společnosti a jsou i jedním z ukazatelů zdravé a demokratické země.&nbsp;<span><a href="https://www.facebook.com/www.ngomarket.cz/?__cft__[0]=AZXYZ9O-3nuJeCyLXK7Js2OYXr9d8ptvOkXUo5j9cgDBdMsnLYQ_9Fr6qRIaLokLiiFYrI7onkHdmEPG7bFiDHisP6YyhBZuTxWzcRbxkcaTnvdj8nh1CKqscwTeIidIP6e5kn7ypPhrCPNkDGpBzduj0yOgWoTlUaXe5bUZTBolUjw6Guh0m0qRbL8CCPky3Gw&amp;__tn__=kK-R" target="_blank">NGO Market</a></span>&nbsp;proto dlouhodobě usiluje o to, aby jejich činnost nebyla zlehčována a opomíjena a aby posiloval důvěru společnosti v nezastupitelnou roli neziskových organizací.</p>
            <p>Pět dní hlavního programu bude nabitých workshopy a debatami:</p>
        </Article>
        <Link href="https://www.csspraha.cz/24872">Další aktuality</Link>
    </Articles>
}

const Articles = styled.div`
    & A {
        font-style: italic;
    }
`

function Article({ title, href, date, children }) {
    return <ArticleDiv>
        <h3>{title}</h3>
        <div>{children}</div>
    </ArticleDiv>
}

const ArticleDiv = styled.div`
    font-size: 0.8rem;
    margin-bottom: 1em;
`