import { GiHumanPyramid, GiMeal } from 'react-icons/gi'
import { RiHome2Line, RiHome3Line, RiQuestionMark, RiExternalLinkLine, RiFileList2Line } from 'react-icons/ri'
import { MdOutlineLiveHelp } from 'react-icons/md'
import { FaWeightHanging } from 'react-icons/fa'
import { BsFillPeopleFill } from 'react-icons/bs'
import { GrContactInfo, GrUserExpert } from 'react-icons/gr'
import styled from "styled-components"
import { themeColor } from "../utils/theme"

const icons = {
    'hunger': <GiMeal />,
    'home': <RiHome2Line />,
    'other': <RiQuestionMark />,
    'capacity': <RiHome3Line />,
    'link': <RiExternalLinkLine />,
    'together': <GiHumanPyramid />,
    'help': <MdOutlineLiveHelp />,
    'weight': <FaWeightHanging />,
    'people': <BsFillPeopleFill />,
    'expert': <GrUserExpert />,
    'contacts': <GrContactInfo />,
    'flyer': <RiFileList2Line/>
}

export default function Icon({ type }) {
    return <IconWrapper color="grey">{ icons[type] || null }</IconWrapper>
}

const IconWrapper = styled.div`
    color: ${themeColor};

    font-size: 4em;
    line-height: 0.5em;

    & SVG {
        filter: drop-shadow(0px 0px 3px white);
    }
    
    & SVG PATH {
        stroke: ${themeColor};
    }
`

