import ReactDOM from 'react-dom'

export default function createIndex(elementId, indexId) {
    const contentElement = document.getElementById(elementId)
    
    if (contentElement.dataset['processed']) {
        return
    } else {
        contentElement.dataset['processed'] = true
    }
    
    const headers = [].slice.call(contentElement.querySelectorAll('h1, h2, h3, h4, h5, h6'))
    const indices = []
    
    let counter = []
    for (const header of headers) {
        const level = Number.parseInt(header.tagName.charAt(1)) - 1
        counter[level] = counter[level] + 1 || 1
        counter = counter.slice(0, level + 1)
        for (let i = 0; i <= level; i++) {
            counter[i] = counter[i] || 0
        }

        const identifier = counter.join(".")

        header.id = 'H' + identifier
        header.textContent = identifier[0] != 0
            ? identifier + '. ' + header.textContent
            : header.textContent

        indices.push({
            href: '#H' + identifier,
            level: level,
            text: header.textContent
        })
    }

    const indexElement = document.getElementById(indexId)
    ReactDOM.render(<ul>
        {
            indices.map((index, i) => <li key={i}><a href={index.href} target="_self" className={'L' + index.level}>{index.text}</a></li>)
        }
    </ul>, indexElement)
}
