import { default as NextLink } from 'next/link'
import { getByPath } from '../lib/menu.mjs'

function createLink(href, children) {
	const page = getByPath(href)
	
	if (!page) {
		return <s>{href}</s>
	}

	return <NextLink href={href}>{children || page.title}</NextLink>
}

export default function Link({ href, children }) {
	if (!href) {
		return <>{children}</>
	}

	if (href.startsWith('http')) {
		return <a href={href}>{children}</a>
	}

	return createLink(href, children)
}
