import React from 'react'
import sortBy from 'sort-by'

export default function List({ items, item, order, children }) {
    if (order) {
        const fields = order.split(' ')
        const comparator = sortBy.apply(null, fields)
        items.sort(comparator)
    }

    return items.map(it => {
        const props = {
            [item]: it
        }

        return React.Children.map(children, Child => React.cloneElement(Child, props, null))
    })
}