import axios from "axios"

const getBaseURL = () => {
    try {
        if (window.location.host == 'localhost:3000') {
            return 'http://localhost:8080/api'
        } else {
            return 'https://bezdomova.eu/api'
        }
    } catch {
        return "baseURL-fail"
    }
}

export const get = (path, data) => {
    return axios.request({
        method: 'GET',
        url: path,
        baseURL: getBaseURL(),
        data: data
    })
}

export const post = (path, data) => {
    return axios.request({
        method: 'POST',
        url: path,
        baseURL: getBaseURL(),
        data: data
    })
}
