import '../styles/reset.css'
import '../styles/global.css'
import { ApplicationContextProvider, useAppContext } from '../service/ctx'
import { ThemeProvider } from 'styled-components'

function ThemedApp({ Component, pageProps }) {
    const { themeService } = useAppContext()

    return <>
        <ThemeProvider theme={themeService.getTheme()}>
            <Component {...pageProps} />
        </ThemeProvider>
    </>
}

export default function App(props) {
    return <>
        <ApplicationContextProvider>
            <ThemedApp {...props} />
        </ApplicationContextProvider>
    </>
}