import React, { createContext } from "react"
import createApplicationContext from "./services"

const ApplicationContext = createContext()

/**
 * React context providing element
 */
export function ApplicationContextProvider({ children }) {
    const ctx = createApplicationContext()
    return <ApplicationContext.Provider value={ctx}>{children}</ApplicationContext.Provider>
}

/**
 * Wraps React's useContext or exposes statically bound context.
 */
let ctx
export function useAppContext() {
    try {
        return React.useContext(ApplicationContext)
    } catch (e) {
        if (!ctx) {
            ctx = createApplicationContext()
            return ctx
        }
    }
}
