import styled from 'styled-components'
import Wrapper from '../components/wrapper'
import { device } from '../utils/media'
import { themeColor } from '../utils/theme'

export const Container = styled.div`
    display: flex;
    flex-wrap: wrap;
    margin: 1rem auto;

    width: 100%;
    @media ${device.laptop} {
        max-width: 1024px;
    }
`

const Main = styled.main`
    width: 100%;
    padding: 1rem 0 1rem 1rem;

    & P {
        margin-top: 1rem;
    }
`

export const Heading = styled.h1`
    color: ${themeColor};
    width: 100%;
    padding: 1rem;
`

export default function Template({ h1, color, children }) {
    return <Container>
        <Heading color={color}>{h1}</Heading>
        <Main>
            <Wrapper>{children}</Wrapper>
        </Main>
    </Container>
}